ClearOS Bug Tracker


View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0008821ClearOSapp-wireless - Wirelesspublic2016-05-20 11:322016-12-16 20:42
Reporterdloper 
Assigned Topbaldwin 
PrioritylowSeverityminorReproducibilitysometimes
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version7.2.0 
Target Version7.3.0 Beta 1Fixed in Version7.3.0 Beta 1 
Summary0008821: Hostapd improperly starts before network is settled
DescriptionWhen rebooting ClearOS with hostapd, the hostapd service comes up without the network card fully initialized. This can lead to a running service but no functionality until hostapd is restarted.
Additional InformationOne solution is to change the following in /usr/lib/systemd/system/hostapd.service:

After=network.target

to:

After=network-online.target
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0004301)
pbaldwin (administrator)
2016-12-09 21:08

This should be reported upstream. In the meantime, an "onboot" event can be added to app-wireless.

- Issue History
Date Modified Username Field Change
2016-05-20 11:32 dloper New Issue
2016-06-13 08:23 pbaldwin Status new => confirmed
2016-11-16 09:12 pbaldwin Target Version 7.3.0 Beta 1 => 7.3.0 Beta 1
2016-12-09 21:08 pbaldwin Note Added: 0004301
2016-12-12 10:12 pbaldwin Status confirmed => resolved
2016-12-12 10:12 pbaldwin Fixed in Version => 7.3.0 Beta 1
2016-12-12 10:12 pbaldwin Resolution open => fixed
2016-12-12 10:12 pbaldwin Assigned To => pbaldwin
2016-12-16 20:42 pbaldwin Status resolved => closed